<?php
header('Access-Control-Allow-Origin: *');
header(
    'Access-Control-Allow-Methods: HEAD, GET, POST, PUT, PATCH, DELETE, OPTIONS'
);
header(
    'Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method,Access-Control-Request-Headers, Authorization'
);
header('Content-Type: application/json');
include '../../../../config/db.php';
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $data = json_decode(file_get_contents('php://input'));
    if (
        // !empty($data->username) &&
        !empty($data->password) &&
        !empty($data->role) &&
        !empty($data->email) &&
        !empty($data->fname) &&
        !empty($data->lname) && 
        !empty($data->username) 
    ) {
        // $username = $data->username;
        $password = $data->password;
        $email = $data->email;
        $fname = $data->fname;
        $lname = $data->lname;
        $username = $data->username;
        $role = $data->role;
        $password_hash = password_hash($password, PASSWORD_DEFAULT);
        $dateTime = date('Y-m-d H:i:s');
        $isExistQuery = "SELECT * FROM Employees WHERE username = '$username' ";
        if (mysqli_num_rows(mysqli_query($con, $isExistQuery)) == 0) {
            $query = "INSERT INTO `Employees`(`employeeId`, `username` , `password`, `email`, `fname`, `lname`, `token`,`role`, `status`, `date_created`) VALUES (0,'$username','$password_hash','$email','$fname','$lname','','$role','1','$dateTime')";
            if (mysqli_query($con, $query)) {
                if (mysqli_affected_rows($con) == 1) {
                    echo json_encode([
                        'status' => 1,
                        'message' => 'Employee created successfully.',
                    ]);
                    http_response_code(200);
                } else {
                    echo json_encode([
                        'status' => 0,
                        'message' => 'Could not insert data.',
                    ]);
                    http_response_code(200);
                }
            } else {
                echo json_encode([
                    'status' => 0,
                    'message' => mysqli_error($con),
                ]);
                http_response_code(200);
            }
        } else {
            echo json_encode([
                'status' => -2,
                'message' => 'Data already exists',
            ]);
            http_response_code(200);
        }
    } else {
        echo json_encode([
            'status' => -1,
            'message' => 'Required fields are missing',
        ]);
        http_response_code(200);
    }
} else {
    echo json_encode([
        'status' => -1,
    ]);
    die();
}
